Planet
navi homeaboutscreenshotsdownloaddevelopmentforum

Ubuntu

Developers only

Please note that the following instructions are for developers who want to download and build the most recent changes of the source code and consider changing it in the future. If you only want to try out and play a stable version of Orxonox you should go to this page and follow the instructions on how to install the Orxonox deb-package on Ubuntu.

Tested on

We try to test Orxonox as often as possible and try to ensure to always have a running version in our trunk. Below there is a table of the most recent tests with different hardware and versions of Orxonox, Ubuntu and graphics drivers.

Hardware Ubuntu ver. Orxonox ver. / Revision Tester Date Result Graphics Driver ver.
Lenovo W500 Lucid Lynx (10.04) r6812 Damian Frick? 30.04.2010 success -
Lenovo W500 Maverick Meercat (10.10) r7541 Damian Frick? 24.10.2010 success -
IBM X60t Maverick Meerkat (10.10) r7639 Oliver Scheuss? 11.11.2010 success -
Sony Vaio CW Lucid Lynx (10.04) r7750 Benjamin Knecht? 08.12.2010 success Nvidia 256.35
MacBookPro? 5,3 Lucid Lynx (10.04) r8115 kmaurus 25.03.2011 success -
Sony Vaio CW Natty Narwhale (11.04) r8408 Benjamin Knecht? 05.05.2011 success Nvidia 270.41.06
Lenovo W500 Natty Narwhale (11.04) r8412 Damian Frick? 07.05.2011 success -
- Oneiric Ocelot (11.10) r8891 Johannes Ritz? 18.10.2011 success -
- Precise Pangolin (12.04) r9350 Johannes Ritz? 04.10.2012 success -
- Saucy Salamander (13.10) r9764 Benjamin Knecht? 11.11.2013 success Nvidia 304.88
Lenovo T430 Saucy Salamander (13.10) r9934 Johannes Ritz? 22.12.2013 success -
- Trusty Thar (14.04) r10041 Benjamin Knecht? 26.04.2014 success Nvidia 331.38
Samsung Series 9 Vivid Vervet (15.04) r10546 zifloria 18.09.2015 success Intel i915

Dependencies

To install all tools and libraries Orxonox needs, use the following command

$ sudo apt-get install build-essential cmake libogre-1.8-dev libenet-dev \
libvorbis-dev libalut-dev libcegui-mk2-dev tcl-dev libboost-date-time-dev \
libboost-filesystem-dev libboost-thread-dev liblua5.1-0-dev subversion libtolua-dev libtolua++5.1-dev

On older versions of Ubuntu (12.10 and below) you have to use an older version of the Ogre library as version 1.8 didn't exist back then. Simply use libogre-dev instead of libogre-1.8-dev when entering the command above.

Ubuntu 12.04 - Workaround

Ubuntu 13.10 (Saucy Salamander) - Plugin Directory Bug Fix

There is currently a bug with the libogre-1.8 package in Ubuntu 13.10 where the plugin directory is wrongly named and our CMake script can't find the plugin libraries. To fix this you can do the following:

$ sudo ln -sf OGRE-1.8.0 OGRE-1.8.1

This creates a link from the correct directory name to wrong one and CMake will follow the link when searching for the plugin libraries. In case the bug will be fixed later on you might need to delete the link.

Building

Now follow the steps described on the building page.

If you experience problems running Orxonox after building it on your own, see this page or contact us.

Development with your favorite IDE

CMake can create project files for KDevelop, Eclipse or Code::Blocks for coding. Click the links for further information.

Last modified 18 months ago Last modified on Sep 18, 2015, 9:39:11 AM